summaryrefslogtreecommitdiff
path: root/tests/ls/getxattr-speedup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ls/getxattr-speedup.sh')
-rwxr-xr-xtests/ls/getxattr-speedup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/ls/getxattr-speedup.sh b/tests/ls/getxattr-speedup.sh
index f84c9da61..be43c50e4 100755
--- a/tests/ls/getxattr-speedup.sh
+++ b/tests/ls/getxattr-speedup.sh
@@ -55,7 +55,7 @@ gcc_shared_ k.c k.so \
seq 20 | xargs touch || framework_failure_
# Finally, run the test:
-LD_PRELOAD=./k.so ls --color=always -l . || fail=1
+LD_PRELOAD=$LD_PRELOAD:./k.so ls --color=always -l . || fail=1
test -f x || skip_ "internal test failure: maybe LD_PRELOAD doesn't work?"